MyGUI: MyGUI::DynLib Class Reference

MyGUI 3.2.2

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
MyGUI::DynLib Class Reference

Resource holding data about a dynamic library. More...

`#include <MyGUI_DynLib.h>`

## Public Member Functions
bool | load ()
void | unload ()
std::string | getName (void) const
| Get the name of the library. More...
void * | getSymbol (const std::string &strName) const throw ()

## Protected Member Functions
| DynLib (const std::string &name)
| ~DynLib ()
std::string | dynlibError () const
| Gets the last loading error. More...

## Protected Attributes
std::string | mName
| Name of library. More...
void * | mInstance
| Handle to the loaded library. More...

## Friends
class | DynLibManager

## Detailed Description

Resource holding data about a dynamic library.

Remarks
  This class holds the data required to get symbols from libraries loaded at run-time (i.e. from DLL's for so's)

Definition at line 46 of file MyGUI_DynLib.h.

## Constructor & Destructor Documentation

## ◆ DynLib()

MyGUI::DynLib::DynLib | ( | const std::string & | name | ) |
| protected

Definition at line 18 of file MyGUI_DynLib.cpp.

## ◆ ~DynLib()

MyGUI::DynLib::~DynLib | ( |  | ) |
| protected

Definition at line 24 of file MyGUI_DynLib.cpp.

## Member Function Documentation

## ◆ dynlibError()

std::string MyGUI::DynLib::dynlibError | ( |  | ) | const
| protected

Gets the last loading error.

Definition at line 79 of file MyGUI_DynLib.cpp.

## ◆ getName()

std::string MyGUI::DynLib::getName | ( | void |  | ) | const

Get the name of the library.

Definition at line 102 of file MyGUI_DynLib.cpp.

## ◆ getSymbol()

void * MyGUI::DynLib::getSymbol | ( | const std::string & | strName | ) | const
throw | ( |
| ) |  |

Returns the address of the given symbol from the loaded library.

Parameters

  strName | The name of the symbol to search for

Returns
  If the function succeeds, the returned value is a handle to the symbol. If the function fails, the returned value is nullptr.

Definition at line 69 of file MyGUI_DynLib.cpp.

## ◆ load()

bool MyGUI::DynLib::load | ( |  | ) |

Load the library

Definition at line 28 of file MyGUI_DynLib.cpp.

## ◆ unload()

void MyGUI::DynLib::unload | ( |  | ) |

Unload the library

Definition at line 55 of file MyGUI_DynLib.cpp.

## Friends And Related Function Documentation

## ◆ DynLibManager

friend class DynLibManager
| friend

Definition at line 48 of file MyGUI_DynLib.h.

## Field Documentation

## ◆ mInstance

void* MyGUI::DynLib::mInstance
| protected

Handle to the loaded library.

Definition at line 87 of file MyGUI_DynLib.h.

## ◆ mName

std::string MyGUI::DynLib::mName
| protected

Name of library.

Definition at line 84 of file MyGUI_DynLib.h.

The documentation for this class was generated from the following files:

- MyGUI_DynLib.h
- MyGUI_DynLib.cpp